| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
HiveWhiteBoard.cpp File Reference
`#include "GaudiKernel/DataObjID.h"`
`#include "GaudiKernel/DataObject.h"`
`#include "GaudiKernel/DataSvc.h"`
`#include "GaudiKernel/MsgStream.h"`
`#include "GaudiKernel/Service.h"`
`#include "GaudiKernel/SmartIF.h"`
`#include "GaudiKernel/SvcFactory.h"`
`#include "GaudiKernel/TypeNameString.h"`
`#include "Rtypes.h"`
`#include "ThreadLocalStorage.h"`
`#include "tbb/recursive_mutex.h"`
`#include "tbb/spin_mutex.h"`
`#include "GaudiKernel/IAddressCreator.h"`
`#include "GaudiKernel/IConversionSvc.h"`
`#include "GaudiKernel/IDataManagerSvc.h"`
`#include "GaudiKernel/IDataProviderSvc.h"`
`#include "GaudiKernel/IDataStoreAgent.h"`
`#include "GaudiKernel/IHiveWhiteBoard.h"`
`#include "GaudiKernel/IOpaqueAddress.h"`
`#include "GaudiKernel/IRegistry.h"`
`#include "GaudiKernel/ISvcLocator.h"`
`#include "GaudiKernel/ISvcManager.h"`
Include dependency graph for HiveWhiteBoard.cpp:

Go to the source code of this file.

## Classes
class | HiveWhiteBoard
| Data service base class. More...

## Macros
#define | WHITEBOARD_CPP
#define | _CALL(P, F, ARGS)

## Typedefs
typedef tbb::recursive_mutex | wbMutex

## Functions
| TTHREAD_TLS (Partition *) s_current(0)

## Macro Definition Documentation

#define _CALL | ( |  | P,
|  |  | F,
|  |  | ARGS
| ) |  |

Value:
if ( s_current ) { \
wbMutex::scoped_lock lock; \
lock.acquire( s_current->storeMutex ); \
return s_current->P ? s_current->P->F ARGS : IDataProviderSvc::INVALID_ROOT; \
} \
return IDataProviderSvc::INVALID_ROOT;
IDataProviderSvc::INVALID_ROOT
Invalid root path object cannot be retrieved or stored.
Definition: IDataProviderSvc.h:496
std::lock
T lock(T...args)

Definition at line 122 of file HiveWhiteBoard.cpp.

#define WHITEBOARD_CPP

Definition at line 6 of file HiveWhiteBoard.cpp.

## Typedef Documentation

typedef tbb::recursive_mutex wbMutex

Definition at line 36 of file HiveWhiteBoard.cpp.

## Function Documentation

TTHREAD_TLS | ( | Partition * |  | ) |